libcoap 4.3.2rc2

Data Fields
coap_addr_hash_t Struct Reference
Libcoap Internal API » Sessions

Only used for servers for hashing incoming packets. More...

`#include <coap_session_internal.h>`

## Data Fields
coap_address_t | remote
| remote address and port More...
uint16_t | lport
| local port More...
coap_proto_t | proto
| CoAP protocol. More...

## Detailed Description

Only used for servers for hashing incoming packets.

Cannot have local IP address as this may be an initial multicast and subsequent unicast address

Definition at line 40 of file coap_session_internal.h.

## Field Documentation

## ◆ lport

uint16_t coap_addr_hash_t::lport

local port

Definition at line 42 of file coap_session_internal.h.

## ◆ proto

coap_proto_t coap_addr_hash_t::proto

CoAP protocol.

Definition at line 43 of file coap_session_internal.h.

## ◆ remote

coap_address_t coap_addr_hash_t::remote

remote address and port

Definition at line 41 of file coap_session_internal.h.

The documentation for this struct was generated from the following file:

- coap_session_internal.h